> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Event Appointment Checklist

> Return checklist items for the given event from AppointmentChecklistItem joined with ServiceChecklist.



## OpenAPI

````yaml get /check-in/calendar/appointment-checklist
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /check-in/calendar/appointment-checklist:
    get:
      tags:
        - Calendar and Appointments
      summary: Get Event Appointment Checklist
      description: >-
        Return checklist items for the given event from AppointmentChecklistItem
        joined with ServiceChecklist.
      operationId: >-
        get_event_appointment_checklist_check_in_calendar_appointment_checklist_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: event_id
          in: query
          required: true
          schema:
            type: string
            title: Event Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AppointmentChecklistItem'
                title: >-
                  Response Get Event Appointment Checklist Check In Calendar
                  Appointment Checklist Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AppointmentChecklistItem:
      properties:
        id:
          type: string
          title: Id
        eventId:
          type: string
          title: Eventid
        serviceId:
          anyOf:
            - type: string
            - type: 'null'
          title: Serviceid
        name:
          type: string
          title: Name
        type:
          anyOf:
            - $ref: '#/components/schemas/AppointmentChecklistType'
            - type: 'null'
        optional:
          type: boolean
          title: Optional
        position:
          type: integer
          title: Position
        measurementFieldId:
          anyOf:
            - type: string
            - type: 'null'
          title: Measurementfieldid
        measurementGroupId:
          anyOf:
            - type: string
            - type: 'null'
          title: Measurementgroupid
        completedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completeddate
        completedByUser:
          anyOf:
            - $ref: '#/components/schemas/UserTiny'
            - type: 'null'
      type: object
      required:
        - id
        - eventId
        - name
        - optional
        - position
      title: AppointmentChecklistItem
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AppointmentChecklistType:
      type: string
      enum:
        - FILLED_FORM
        - CHECKED_IN
        - WITH_MA
        - MEASUREMENT_TAKEN
        - DOSE_TAKEN
        - WITH_PROVIDER
        - NOTE_TAKEN
        - PAYMENT_MADE
        - REQUEST_GFE
        - PICTURE_TAKEN
        - CARE_PLAN
      title: AppointmentChecklistType
    UserTiny:
      properties:
        id:
          type: string
          title: Id
          description: The unique identifier for the user.
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
          description: The user's first name.
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
          description: The user's last name.
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
          description: The user's phone number.
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: The user's email address.
        type:
          $ref: '#/components/schemas/UserType'
          description: The type of user.
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
          description: The location of the user.
      type: object
      required:
        - id
        - type
      title: UserTiny
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserType:
      type: string
      enum:
        - PROVIDER
        - PATIENT
        - ASSISTANT
      title: UserType

````